#
# TODO
# - Terminal=true, depends on mate-terminal, but probably should take preferred terminal application
# mate-session[4970]: WARNING: Could not launch application 'nvidia-settings.desktop': Unable to start application: Failed to execute child process "xdg-terminal" (No such file or directory)

# Conditional build:
%bcond_without	apidocs	# DocBook docs
%bcond_with	gtk3	# use GTK+ 3.x instead of 2.x
%bcond_without	systemd	# systemd support for default (when systemd is not running fallback to ConsoleKit)
%bcond_with	upower	# UPower suspend/hibernate support (0.9.x only)

Summary:	MATE Desktop session manager
Summary(pl.UTF-8):	Zarządca sesji środowiska MATE Desktop
Name:		mate-session-manager
Version:	1.12.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.12/%{name}-%{version}.tar.xz
# Source0-md5:	e7bb01b5f91a6b287fef8e77e94af3e7
Patch0:		%{name}-en_us_suspend_hotkey.patch
URL:		http://wiki.mate-desktop.org/mate-session-manager
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.76
BuildRequires:	desktop-file-utils
BuildRequires:	glib2-devel >= 1:2.36.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.24.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libtool >= 1:1.4.3
%{?with_apidocs:BuildRequires:	libxslt-progs}
BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.9.3
BuildRequires:	pango-devel
BuildRequires:	pangox-compat-devel
BuildRequires:	pkgconfig
%{?with_systemd:BuildRequires:	systemd-devel >= 1:183}
BuildRequires:	tar >= 1:1.22
%{?with_upower:BuildRequires:	upower-devel >= 0.9.0}
%{?with_apidocs:BuildRequires:	xmlto}
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xz
# needed to satisfy 'filemanager' component (may be changed if alternatives available)
Requires:	caja
Requires:	dbus-glib >= 0.76
Requires:	glib2 >= 1:2.36.0
Requires:	gsettings-desktop-schemas
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.24.0}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
# needed to satisfy 'windowmanager' component (may be changed if alternatives available)
Requires:	marco
Requires:	mate-desktop >= 1.9.3
# needed to satisfy 'panel' component (may be changed if alternatives available)
Requires:	mate-panel
%{?with_upower:Requires:	upower-libs >= 0.9.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop session manager.

%description -l pl.UTF-8
Zarządca sesji środowiska MATE Desktop.

%package apidocs
Summary:	MATE Session Manager D-Bus API Reference
Summary(pl.UTF-8):	Dokumentacja API D-Bus MATE Session Managera
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Session Manager D-Bus API Reference.

%description apidocs -l pl.UTF-8
Dokumentacja API D-Bus MATE Session Managera.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_apidocs:--disable-docbook-docs} \
	%{?with_apidocs:--enable-docbook-docs --docdir=%{_gtkdocdir}/%{name}} \
	--enable-ipv6 \
	--disable-silent-rules \
	--disable-static \
	%{!?with_upower:--disable-upower} \
	--with-default-wm=marco \
	--with-gnu-ld \
	%{?with_gtk3:--with-gtk=3.0} \
	%{__with_without systemd} \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/mate-session.convert

desktop-file-install \
	--remove-category="MATE" \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/mate-session-properties.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_bindir}/mate-session
%attr(755,root,root) %{_bindir}/mate-session-inhibit
%attr(755,root,root) %{_bindir}/mate-session-properties
%attr(755,root,root) %{_bindir}/mate-session-save
%attr(755,root,root) %{_bindir}/mate-wm
%{_mandir}/man1/mate-session-inhibit.1*
%{_mandir}/man1/mate-session-properties.1*
%{_mandir}/man1/mate-session-save.1*
%{_mandir}/man1/mate-session.1*
%{_mandir}/man1/mate-wm.1*
%{_datadir}/mate-session-manager
%{_datadir}/glib-2.0/schemas/org.mate.session.gschema.xml
%{_datadir}/xsessions/mate.desktop
%{_desktopdir}/mate-session-properties.desktop
%{_iconsdir}/hicolor/*x*/apps/mate-session-properties.png
%{_iconsdir}/hicolor/scalable/apps/mate-session-properties.svg

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif
%changelog
* Sun Nov 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-session-manager.git;a=log;h=master

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> c02f9c0
- up to 1.12.0

* Wed Jul 15 2015 Jan Palus <atler@pld-linux.org> faa7998
- up to 1.10.2

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> f587b6e
- noarch apidocs

* Sat Jun 13 2015 Jan Palus <atler@pld-linux.org> 686bee1
- up to 1.10.1

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 8cc840d
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 29 2015 Jan Palus <atler@pld-linux.org> ccaacb7
- up to 1.8.2

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> c2ec5be
- x32 rebuild
- release 3 (by relup.sh)

* Mon Jul 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 77bc602
- cmn locale is supported now; added upower bcond

* Wed Apr 16 2014 Jan Rękorajski <baggins@pld-linux.org> 99f5524
- rel 2

* Wed Apr 16 2014 Jan Rękorajski <baggins@pld-linux.org> a1bac13
- disabled upower support, doesn't work with upower 0.99.0

* Mon Mar 17 2014 Elan Ruusamäe <glen@delfi.ee> 8d1e2ec
- up to 1.8.1

* Mon Mar 10 2014 Jan Palus <jan.palus@gmail.com> 60ee2bd
- add patch to restore default alt+u hotkey for suspend option in shutdown
  dialog (en_US locale)

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 87b8261
- up to 1.8.0
- adjust for renamed mate-file-manager/mate-window-manager (caja/marco)

* Sat Jan 04 2014 Jakub Bogusz <qboosh@pld-linux.org> ceb8a0b
- pl, cleanup, completed dependencies

* Thu Jul 25 2013 Jan Palus <jan.palus@gmail.com> 74d2f6d
- up to 1.6.1
- switch to autotools invoked directly

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 7500b0b
- use 1.6.0 tarball

* Mon Mar 25 2013 Elan Ruusamäe <glen@delfi.ee> 0af2586
- up to 1.5.2; adds systemd support

* Thu Mar 21 2013 Elan Ruusamäe <glen@delfi.ee> cb073b8
- mate-terminal note

* Mon Feb 11 2013 Elan Ruusamäe <glen@delfi.ee> 16c4cc0
- up to 1.5.1

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> e799e06
- BR: pangox-compat-devel, cleanup deps by cleanbuild

